Subject: bug#39926: Regression introduced by Shepherd 0.7.0 ('make check-system TESTS=btrfs-root-os' fails)

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 23 Mar 2020 14:01:25 -0400

Hi!

Ludovic Courtès <[email-masked]> writes:

[...]

>> Hey, weird!  Anyway, thanks for fixing it!  How did you debug this?  I'm curious.
>
> I first noticed that the installation script ran to completion and that
> the VM seems to stop properly.  Then I saw our code that did:
>
>   (zero? (marionette-eval '(system #$script) marionette))
>
> So I just tried adding:
>
>   (pk (marionette-eval '(system "/run/current-system/profile/sbin/reboot")
>                        marionette))
>
> to the ‘basic’ test.  I noticed it would return 15, and then I got it.
>
> Nothing fancy, mostly stubbornness and perseverance.  :-)

I see! Good old pk :-). Thanks for sharing the process used!

Maxim